=== modified file 'lib/lp/bugs/browser/bug.py'
--- lib/lp/bugs/browser/bug.py	2011-06-03 10:38:25 +0000
+++ lib/lp/bugs/browser/bug.py	2011-06-06 12:37:38 +0000
@@ -506,6 +506,9 @@
 
     @property
     def current_user_subscription_class(self):
+        if not self.user:
+            return 'subscribed-false dup-subscribed-false'
+
         bug = self.context
 
         if bug.personIsSubscribedToDuplicate(self.user):
@@ -521,6 +524,10 @@
 
     @property
     def current_user_mute_class(self):
+        if not self.user:
+            return 'muted-false hidden %s' % (
+                self.current_user_subscription_class)
+
         bug = self.context
         subscription_class = self.current_user_subscription_class
         if self.user_should_see_mute_link:

=== modified file 'lib/lp/bugs/browser/tests/test_bug_views.py'
--- lib/lp/bugs/browser/tests/test_bug_views.py	2011-06-03 10:38:25 +0000
+++ lib/lp/bugs/browser/tests/test_bug_views.py	2011-06-06 12:37:38 +0000
@@ -295,3 +295,15 @@
                     self.bug.default_bugtask, name="+mute",
                     form={'field.actions.mute': 'Mute bug mail'})
                 self.assertTrue(self.bug.isMuted(person))
+
+    def test_mute_classes_work_for_anonymous_users(self):
+        # If a user is not logged in, the template shouldn't break
+        # horribly.
+        bug = self.factory.makeBug()
+        view = create_initialized_view(bug.default_bugtask, name="+index")
+        self.assertEqual(
+            'subscribed-false dup-subscribed-false',
+            view.current_user_subscription_class)
+        self.assertEqual(
+            'muted-false hidden subscribed-false dup-subscribed-false',
+            view.current_user_mute_class)

